/*
 * TextTable.c
 *
 * This file contains all the magic to support locale.library.  It provides a
 * simple GetString() function that will get a string from locale.library.
 */

#include <exec/types.h>
#include <libraries/locale.h>
#include <libraries/gadtools.h>

#include <clib/exec_protos.h>
#include <pragmas/exec_lib.h>

#include <clib/locale_protos.h>
struct LocaleBase *LocaleBase = NULL;

#include <pragmas/locale_lib.h>

#include <exec/memory.h>
#include <utility/tagitem.h>

#include <stdarg.h>

#define STRINGARRAY
#include "CyberCronStrings.h"

struct Catalog *MyCatalog = NULL;

STRPTR GetString(LONG id)
{
	LONG i;
	STRPTR local;

	i = 0;
	local = NULL;

	while (!local) {
		if (AppStrings[i].as_ID == id)
			local = AppStrings[i].as_Str;
		else
			i++;
	}

	if (LocaleBase)
		local = GetCatalogStr(MyCatalog, id, local);

	return local;
}
